org.eclipse.viatra.query.runtime.rete.network

## Enum MessageKind

- java.lang.Object
- - java.lang.Enum<MessageKind>
  - - org.eclipse.viatra.query.runtime.rete.network.MessageKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageKind>

      public enum MessageKind
      extends java.lang.Enum<MessageKind>

  The enum represents the possible kinds of messages in the query backend.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTI_MONOTONE` Deletes
    `DEFAULT` No special distinguishing feature
    `MONOTONE` Inserts and delete-insert monotone change pairs

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MessageKind DEFAULT

      No special distinguishing feature

    - #### MONOTONE

          public static final MessageKind MONOTONE

      Inserts and delete-insert monotone change pairs

    - #### ANTI_MONOTONE

          public static final MessageKind ANTI_MONOTONE

      Deletes

  - ### Method Detail

    - #### values

          public static MessageKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageKind c : MessageKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null